--------------------------------------------------------------------------
-- Play this script in PVDREGISTRA@172.16.48.40:1521/ORCLPDB to make it look like PVDREGISTRA_SQL@172.16.48.40:1521/ORCLPDB
--
-- Please review the script before using it to make sure it won't
-- cause any unacceptable data loss.
--
-- PVDREGISTRA@172.16.48.40:1521/ORCLPDB Schema Extracted by User SYSTEM 
-- PVDREGISTRA_SQL@172.16.48.40:1521/ORCLPDB Schema Extracted by User SYSTEM 

DROP INDEX EMPYEE_TRANS_ALLOT_IDX1;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX1 ON EMPYEE_TRANS_ALLOT
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX2;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX2 ON EMPYEE_TRANS_ALLOT
(JOB_ALL_ID, NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, EMPYEE_STATUS);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX3;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX3 ON EMPYEE_TRANS_ALLOT
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, EMPYEE_STATUS);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX4;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX4 ON EMPYEE_TRANS_ALLOT
(NAV_DATE, MATRIX_ID, REF_JOB_ALL_ID, JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX5;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX5 ON EMPYEE_TRANS_ALLOT
(JOB_ALL_ID);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX6;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX6 ON EMPYEE_TRANS_ALLOT
(NAV_DATE);

DROP INDEX EMPYEE_TRANS_ALLOT_IDX7;
CREATE INDEX EMPYEE_TRANS_ALLOT_IDX7 ON EMPYEE_TRANS_ALLOT
(FUND_ID, NAV_DATE);

DROP INDEX EMPYEE_TRANS_ALLOT_PK;
CREATE UNIQUE INDEX EMPYEE_TRANS_ALLOT_PK ON EMPYEE_TRANS_ALLOT
(EMPYEE_ID, AMC_ID, FUND_ID, TBL_ID_MONEYTYPE, NAV_DATE, 
JOB_ALL_ID, TRAN_MAIN_ID);

EXIT;